%define debug_package %{nil}
%define python2_sitelib %(python2 -c "from distutils.sysconfig import get_python_lib; print get_python_lib(plat_specific=False)")

Summary:	python-%{modname} - Python package for 

Packager:	Lawrence R. Rogers (lrr@cert.org)

Vendor:		cert.org
%define	modname unicodecsv
Name:		python-%{modname}
Version:	0.14.1
Release:	1%{?dist}

License:	BSD

Group:		Applications
Source:		%{modname}-%{version}.tar.gz
URL:		https://pypi.org/project/unicodecsv/

BuildRoot:	%{_tmppath}/rpm-root-%{name}-v%{version}
BuildRequires:	%{__python2} 

%description
Python-unicodecsv is a drop-in replacement for Python 2.7’s csv module which supports unicode strings without a hassle.
Supported versions are python 2.7, 3.3, 3.4, 3.5, and pypy 2.4.0.

%prep
%setup -n %{modname}-%{version}

%build
%py2_build

%install
%py2_install

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644, root, root, 0755)
%doc README.rst
%{python2_sitelib}/%{modname}*egg-info
%{python2_sitelib}/%{modname}/

%changelog
* Mon May  6 2019 Lawrence R. Rogers <lrr@cert.org> 0.14.1-1
- Release 0.14.1-1
	Initial release

